/************************************************************************/
/*                                                                      */
/*      Motor Shield I/O Demo                                           */
/*                                                                      */
/*       Demonstrates use of the MotorShield library                    */
/*       Reads the status of the buttons and outputs the                */
/*       result to the LEDS                                             */
/*                                                                      */
/************************************************************************/
/*      Author:       James Irwin                                       */
/*      Copyright 2013, Digilent Inc.                                   */
/************************************************************************/
/*
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/************************************************************************/
/*  Revision History:                                                   */
/*                                                                      */
/*      2/7/2013(JIrwin): Created                                       */
/*                                                                      */
/************************************************************************/



/************************************************************************/
/*                    Required libraries, Do NOT comment out            */
/************************************************************************/
#include <Wire.h>  //must be included when using the MotorShield.h library
#include <MotorShield.h>




MotorShield extender;
byte x;
bool btn1, btn2;

void setup()
{
    extender.begin();  //initialize the I/O extender
}

void loop()
{

  extender.readButtons(&btn1, &btn2);  //readButtons sets the bool values, 1 for pressed button, 0 for unpressed button

  x = 0x00;
  
  if (btn1)
    x = x | 0x01;
  if (btn2)
    x = x | 0x02;
    
  extender.writeLEDs(x);  //writes the binary value of x (first 4 bits) to the LEDs

}

